AnyEvent::Impl::Qt(3pm)

NAME
AnyEvent::Impl::Qt - AnyEvent adaptor for Qt

SYNOPSIS
   use AnyEvent;
   use Qt;

   my $app = Qt::Application \@ARGV; # REQUIRED!

   # this module gets loaded automatically as required

DESCRIPTION
This module provides transparent support for AnyEvent. You don't have to do anything to make Qt work with AnyEvent except by loading Qt before creating the first AnyEvent watcher and instantiating the Qt::Application object. Failure to do so will result in segfaults, which is why this model doesn't work as a default model and will not be autoprobed (but it will be autodetected when the main program uses Qt).

Qt suffers from the same limitations as Event::Lib and Tk, the workaround is also the same (duplicating file descriptors).

Qt doesn't support idle events, so they are being emulated.

Avoid Qt if you can.

SEE ALSO
AnyEvent, Qt.

AUTHOR
   Marc Lehmann <schmorp@schmorp.de>
   http://anyevent.schmorp.de